• Resolved davidebabylonia

    (@davidebabylonia)


    Hello, version 1.2.6 is broken, I get a php warning of an error in Menu.php, other than this, the plugin is missing required rollback query strings

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author Gabe Livan

    (@gabelivan)

    @davidebabylonia, thanks for reporting this! Can you provide more details about the error you’re getting?

    Thread Starter davidebabylonia

    (@davidebabylonia)

    Hi here the full error:

    Parse error: syntax error, unexpected '.', expecting ',' or ';' in /web/htdocs/www.cookingwithpeachy.com/home/wordpress/wp-content/plugins/wp-asset-clean-up/classes/Menu.php on line 18

    Plugin Author Gabe Livan

    (@gabelivan)

    Thanks for that, I had a suspicion it could be that one, what PHP version are you using?

    Thread Starter davidebabylonia

    (@davidebabylonia)

    Im on 5.4.45

    Plugin Author Gabe Livan

    (@gabelivan)

    Please do the following:

    On Menu.php, replace:
    static $slug = WPACU_PLUGIN_NAME . '_settings';
    with:
    static $slug;

    and
    add_action('admin_menu', array($this, 'activeMenu'));
    with:
    self::$slug = WPACU_PLUGIN_NAME . '_settings';
    add_action('admin_menu', array($this, 'activeMenu'));

    It will work as on my recent tests it’s a problem if the PHP version is below 5.6.

    PS: I will release a premium version of the plugin soon. Any feedback is valuable, can you let me know what new features would you like to see in WP Asset CleanUp?

    Thread Starter davidebabylonia

    (@davidebabylonia)

    That worked, thanks!

    Features? well, it would be nice if the plugin could analyze which plugins and wordpress assets are involved in the page / post and automatically exclude them by default, prompting a list with ticked boxes

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘broken’ is closed to new replies.